oracle.pg.text

## Class OracleIndexException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - oracle.pg.text.OracleIndexException

- All Implemented Interfaces:
    Serializable

      public class OracleIndexException
      extends IOException

  A nestable checked index exception.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleIndexException(String msg)` Construct a OracleIndexException with the specified detail message.
    `OracleIndexException(String msg, Throwable ex)` Construct a OracleIndexException with the specified detail message and nested exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<E> boolean` | `contains(Class<E> exClass)` Check whether this exception contains an exception of the given class: either it is of the given class itself or it contains a nested cause of the given class.
    `Throwable` | `getCause()` Return the nested cause, or `null` if none.
    `String` | `getMessage()` Return the detail message, including the message from the nested exception if there is one.
    `void` | `printStackTrace(PrintStream ps)` Print the composite message and the embedded stack trace to the specified stream.
    `void` | `printStackTrace(PrintWriter pw)` Print the composite message and the embedded stack trace to the specified print writer.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OracleIndexException

          public OracleIndexException(String msg)

      Construct a OracleIndexException with the specified detail message.
      Parameters:
        `msg` - the detail message

    - #### OracleIndexException

          public OracleIndexException(String msg,
                              Throwable ex)

      Construct a OracleIndexException with the specified detail message and nested exception.
      Parameters:
        `msg` - the detail message
        `ex` - the nested exception

  - ### Method Detail

    - #### contains

          public <E> boolean contains(Class<E> exClass)

      Check whether this exception contains an exception of the given class: either it is of the given class itself or it contains a nested cause of the given class.
      Parameters:
        `exClass` - the exception class to look for

    - #### getCause

          public Throwable getCause()

      Return the nested cause, or `null` if none.
      Overrides:
        `getCause` in class `Throwable`

    - #### getMessage

          public String getMessage()

      Return the detail message, including the message from the nested exception if there is one.
      Overrides:
        `getMessage` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace(PrintStream ps)

      Print the composite message and the embedded stack trace to the specified stream.
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `ps` - the print stream

    - #### printStackTrace

          public void printStackTrace(PrintWriter pw)

      Print the composite message and the embedded stack trace to the specified print writer.
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `pw` - the print writer

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.